Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.xmp
Class XmpBasicSchema

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  com.lowagie.text.xml.xmp.XmpSchema
                      com.lowagie.text.xml.xmp.XmpBasicSchema

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class XmpBasicSchema

extends XmpSchema

An implementation of an XmpSchema.

See Also:
  Serialized Form

Field Summary
`static String` | `ADVISORY` An unordered array specifying properties that were edited outside the authoring application.
`static String` | `BASEURL` The base URL for relative URLs in the document content.
`static String` | `CREATEDATE` The date and time the resource was originally created.
`static String` | `CREATORTOOL` The name of the first known tool used to create the resource.
`static String` | `DEFAULT_XPATH_ID` default namespace identifier
`static String` | `DEFAULT_XPATH_URI` default namespace uri
`static String` | `IDENTIFIER` An unordered array of text strings that unambiguously identify the resource within a given context.
`static String` | `METADATADATE` The date and time that any metadata for this resource was last changed.
`static String` | `MODIFYDATE` The date and time the resource was last modified.
`static String` | `NICKNAME` A short informal name for the resource.
`private static long` | `serialVersionUID`
`static String` | `THUMBNAILS` An alternative array of thumbnail images for a file, which can differ in characteristics such as size or image encoding.

Fields inherited from class com.lowagie.text.xml.xmp.XmpSchema
`xmlns`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`XmpBasicSchema()`

Method Summary
`void` | `addCreateDate(String date)` Adds the creation date.
`void` | `addCreatorTool(String creator)` Adds the creatortool.
`void` | `addIdentifiers(String[] id)` Adds the identifier.
`void` | `addMetaDataDate(String date)` Adds the meta data date.
`void` | `addModDate(String date)` Adds the modification date.
`void` | `addNickname(String name)` Adds the nickname.

Methods inherited from class com.lowagie.text.xml.xmp.XmpSchema
`addProperty, escape, getXmlns, process, setProperty, setProperty, setProperty, toString`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### DEFAULT_XPATH_ID

    public static final String DEFAULT_XPATH_ID

  default namespace identifier

  See Also:
    Constant Field Values

### DEFAULT_XPATH_URI

    public static final String DEFAULT_XPATH_URI

  default namespace uri

  See Also:
    Constant Field Values

### ADVISORY

    public static final String ADVISORY

  An unordered array specifying properties that were edited outside the authoring application. Each item should contain a single namespace and XPath separated by one ASCII space (U+0020).

  See Also:
    Constant Field Values

### BASEURL

    public static final String BASEURL

  The base URL for relative URLs in the document content. If this document contains Internet links, and those links are relative, they are relative to this base URL. This property provides a standard way for embedded relative URLs to be interpreted by tools. Web authoring tools should set the value based on their notion of where URLs will be interpreted.

  See Also:
    Constant Field Values

### CREATEDATE

    public static final String CREATEDATE

  The date and time the resource was originally created.

  See Also:
    Constant Field Values

### CREATORTOOL

    public static final String CREATORTOOL

  The name of the first known tool used to create the resource. If history is present in the metadata, this value should be equivalent to that of xmpMM:History's softwareAgent property.

  See Also:
    Constant Field Values

### IDENTIFIER

    public static final String IDENTIFIER

  An unordered array of text strings that unambiguously identify the resource within a given context.

  See Also:
    Constant Field Values

### METADATADATE

    public static final String METADATADATE

  The date and time that any metadata for this resource was last changed.

  See Also:
    Constant Field Values

### MODIFYDATE

    public static final String MODIFYDATE

  The date and time the resource was last modified.

  See Also:
    Constant Field Values

### NICKNAME

    public static final String NICKNAME

  A short informal name for the resource.

  See Also:
    Constant Field Values

### THUMBNAILS

    public static final String THUMBNAILS

  An alternative array of thumbnail images for a file, which can differ in characteristics such as size or image encoding.

  See Also:
    Constant Field Values

Constructor Detail

### XmpBasicSchema

    public XmpBasicSchema()

Method Detail

### addCreatorTool

    public void addCreatorTool(String creator)

  Adds the creatortool.

  Parameters:
    `creator` -

### addCreateDate

    public void addCreateDate(String date)

  Adds the creation date.

  Parameters:
    `date` -

### addModDate

    public void addModDate(String date)

  Adds the modification date.

  Parameters:
    `date` -

### addMetaDataDate

    public void addMetaDataDate(String date)

  Adds the meta data date.

  Parameters:
    `date` -

### addIdentifiers

    public void addIdentifiers(String[] id)

  Adds the identifier.

  Parameters:
    `id` -

### addNickname

    public void addNickname(String name)

  Adds the nickname.

  Parameters:
    `name` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD